Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class org.xml.sax.helpers.ParserFactory

    java.lang.Object
        |
        +----org.xml.sax.helpers.ParserFactory

public class ParserFactory
extends java.lang.Object

Java-specific class for dynamically loading SAX parsers.

This class is not part of the platform-independent definition of SAX; it is an additional convenience class designed specifically for Java XML application writers. SAX applications can use the static methods in this class to allocate a SAX parser dynamically at run-time based either on the value of the `org.xml.sax.parser' system property or on a string containing the class name.

Note that the application still requires an XML parser that implements SAX.

Version:
  1.0
See Also:
  Parser, java.lang.Class

Constructor Summary
ParserFactory()

Method Summary
static Parser | makeParser() Private null constructor.
static Parser | makeParser(java.lang.String className) Create a new SAX parser object using the class name provided.

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### ParserFactory

    public ParserFactory()

Method Detail

### makeParser

    public static Parser makeParser() throws java.lang.ClassNotFoundException, java.lang.IllegalAccessException, java.lang.InstantiationException, java.lang.NullPointerException, java.lang.ClassCastException

  Private null constructor. private ParserFactor () { } /** Create a new SAX parser using the `org.xml.sax.parser' system property.

  The named class must exist and must implement the org.xml.sax.Parser interface.

  Throws:
    java.lang.NullPointerException - There is no value for the `org.xml.sax.parser' system property.
    java.lang.ClassNotFoundException - The SAX parser class was not found (check your CLASSPATH).
    java.lang.IllegalAccessException - The SAX parser class was found, but you do not have permission to load it.
    java.lang.InstantiationException - The SAX parser class was found but could not be instantiated.
    java.lang.ClassCastException - The SAX parser class was found and instantiated, but does not implement org.xml.sax.Parser.
  See Also:
    makeParser(java.lang.String), Parser

### makeParser

    public static Parser makeParser(java.lang.String className) throws java.lang.ClassNotFoundException, java.lang.IllegalAccessException, java.lang.InstantiationException, java.lang.ClassCastException

  Create a new SAX parser object using the class name provided.

  The named class must exist and must implement the org.xml.sax.Parser interface.

  Parameters:
    `className` - A string containing the name of the SAX parser class.
  Throws:
    java.lang.ClassNotFoundException - The SAX parser class was not found (check your CLASSPATH).
    java.lang.IllegalAccessException - The SAX parser class was found, but you do not have permission to load it.
    java.lang.InstantiationException - The SAX parser class was found but could not be instantiated.
    java.lang.ClassCastException - The SAX parser class was found and instantiated, but does not implement org.xml.sax.Parser.
  See Also:
    makeParser(), Parser

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |